*,
*::before,
*::after {
  padding: 0px;
  margin: 0px;
}
html,
body {
  display: flex;
  width: 100%;
  height: fit-content;
}

.affiliate {
  &-wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 10px;
  }

  &-table {
    width: 100%;
    height: 100%;
    padding: 10px;

    &__head,
    &__body {
      display: flex;
      width: 100%;
      height: 100%;

      tr {
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: 0.5fr 1fr 1fr 1fr 1fr;
        width: 100%;
        align-items: center;
        justify-content: space-between;
      }

      td {
        display: flex;
        height: 100%;
        padding: 10px;
        align-items: center;
        justify-content: center;
      }
    }

    &__head {
      background-color: rgba(240, 13, 13, 0.62);
      border: 1px solid rgba(110, 10, 10, 0.62);
    }

    &__body {
      flex-direction: column;
      gap: 10px;

      tr {
        border: 1px solid #a1a1a1;
      }
    }

    &__item {
      &_meta,
      &_stars {
        display: flex;
        gap: 10px;
        justify-content: center;
        flex-direction: column;
        align-items: center;
      }

      &_meta {
        img {
          max-width: 150px;
          max-height: 150px;
        }
      }

      &_stars {
        font-size: 25px;
      }

      &_bonus {
        text-align: center;
        font-weight: 700;
      }

      &_button button {
        outline: none;
        width: 80%;
        padding: 10px;
        background: #a1a1a1;
        border-radius: 5px;
        height: 56px;
        color: white;
        cursor: pointer;
        border: none;
      }
    }
  }
  @media (max-width: 1000px) {
    &-table {
      &__head {
        display: none;
      }
      &__body {
        tr {
          grid-template-columns: 1fr;
          grid-template-rows: 0.12.5fr 0.25fr 0.25fr 0.25fr 0.25fr;
        }
      }
    }
  }
}
